package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.srs.common.annotation.Excels;
import com.srs.common.core.domain.entity.SysDept;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 srs_majors
 *
 * @author srs
 * @date 2023-06-27
 */
@Data
@TableName("srs_majors")
public class SrsMajors extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 专业ID */
    @TableId(value = "major_id",type = IdType.AUTO)
    private Long majorId;

    /**专业大类*/
    @Excel(name = "专业大类")
    private String majorTypeName;
    /** 专业名称 */
    @Excel(name = "专业名称")
    private String majorName;

    @Excel(name = "专业代码")
    private String  majorCode;

    /** 学院ID */
//    @Excel(name = "学院编号")
    private Long collegeId;

    @Excels({
            @Excel(name = "学院名称", targetAttr = "deptName", type = Excel.Type.EXPORT),
    })
    @TableField(exist = false)
    private SysDept dept;

    /** 专业简介 */
//    @Excel(name = "专业简介")
    private String majorDescription;

    /** 状态（0正常 */
    @Excel(name = "状态", readConverterExp = "状态（0正常")
    private String status;

    /** 删除标志（0代表存在 */
    private String delFlag;


    public String getMajorCode() {
        return majorCode;
    }

    public void setMajorCode(String majorCode) {
        this.majorCode = majorCode;
    }
    public SysDept getDept() {
        return dept;
    }

    public void setDept(SysDept dept) {
        this.dept = dept;
    }

    public void setMajorId(Long majorId)
    {
        this.majorId = majorId;
    }

    public Long getMajorId()
    {
        return majorId;
    }
    public void setMajorName(String majorName)
    {
        this.majorName = majorName;
    }

    public String getMajorName()
    {
        return majorName;
    }
    public void setCollegeId(Long collegeId)
    {
        this.collegeId = collegeId;
    }

    public Long getCollegeId()
    {
        return collegeId;
    }
    public void setMajorDescription(String majorDescription)
    {
        this.majorDescription = majorDescription;
    }

    public String getMajorDescription()
    {
        return majorDescription;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("majorId", getMajorId())
            .append("majorName", getMajorName())
            .append("collegeId", getCollegeId())
            .append("majorDescription", getMajorDescription())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
